Skip to Content
Enderdash

Rotate Game O Auth Client Secret

POST
/organizations/rotateGameOAuthClientSecret

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
clientId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/organizations/rotateGameOAuthClientSecret' \
  -H 'Content-Type: application/json' \
  -d '{
  "clientId": "5e505642-9024-474d-9434-e5a44f505cc5"
}'
Example Response
Empty